<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

        <!-- Sale Order Form Extension (Backend) -->
        <record id="sale_order_form_view_extension" model="ir.ui.view">
            <field name="name">sale.order.form.extension</field>
            <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_order_form" />
            <field name="arch" type="xml">
                <!-- Add group purchase fields in the general information section -->
                <xpath expr="//field[@name='note']" position="before">
                    <group string="Group Purchase Information" groups="base.group_user">
                        <field name="group_order_id" readonly="True" />
                        <field name="consumer_group_id" readonly="True" />
                        <field name="pickup_slot_label" readonly="True" />
                        <field name="pickup_day" readonly="True" />
                        <field name="pickup_date" readonly="True" />
                        <field name="home_delivery" readonly="True" />
                    </group>
                </xpath>
            </field>
        </record>

    </data>
</odoo>
